#!/bin/bash

#
# This is a simple test file generator
# 

if [ -n "$1" ] && echo $1 | grep -E "[0-9]+" &> /dev/null ; then
    FILE_LENGTH_MB=$1
fi
if [ -z "$FILE_LENGTH_MB" ] ; then
    FILE_LENGTH_MB=10
fi

FILE_LENGTH_BYTES=$(($FILE_LENGTH_MB * 1024 * 1024))

echo "Content-Type: application/octet-stream"
echo "Content-Length: $FILE_LENGTH_BYTES"
echo ""

tar -cf - /usr | head -c $FILE_LENGTH_BYTES 2> /dev/null
echo "Done." > /tmp/xx
